Option Strict On

Imports System
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient

Public Class Posts
    Public Shared Function TituloBlog(ByVal blog As Integer) As String
        Dim db As New Database
        db.ConString = System.Configuration.ConfigurationManager.AppSettings("con_blogs")
        Return db.RunProcstring("sp_blogtitulo", New SqlParameter() {db.MakeParameter("@blog", blog)})
    End Function

    Public Shared Function Listado_posts() As SqlDataReader
        Listado_posts = Nothing
        Dim db As New Database
        db.ConString = System.Configuration.ConfigurationManager.AppSettings("con_blogs")
        db.RunProcedure("sp_listado_posts_extra", Listado_posts)
    End Function

End Class
